- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

# fbxutilities.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/scene/fbxscene.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Functions
Scene cleaning
FBXSDK_DLL FbxArray< FbxNode * > | RemoveBadPolygonsFromMeshes (FbxScene *pScene)
| Clean bad meshes in the scene by removing bad polygons.
Animation query functions
FBXSDK_DLL bool | IsAnimated (FbxObject *pObj)
| Inspects all the properties of the given object for animation curves.
FBXSDK_DLL bool | IsChannelAnimated (FbxObject *pObj, const char *pPropertyName, const char *pChannelName=NULL)
| Inspects the specified property of the given object for animation curves.
File utilities
FBXSDK_DLL char * | FBXGet_Internet_Source_File (const char *url)
| Get the content of a file from an hyper link.
FBXSDK_DLL void | FBXFree_Internet_Buffer (char *pBuf)
| Free the memory allocated by FBXGet_Internet_Source_File()
FBXSDK_DLL FbxString | FbxGetApplicationDirectory ()
| Get the application directory.
File Version utility
FBXSDK_DLL unsigned int | FileVersionStrToInt (FbxString pFileVersion)
| Convert the FBX file version string to an integral number for <= or >= tests purposes.

## Detailed Description

Definition in file fbxutilities.h.

## Function Documentation

FBXSDK_DLL FbxArray<FbxNode*> RemoveBadPolygonsFromMeshes | ( | FbxScene * | pScene | ) |

Search for all occurrences

Clean bad meshes in the scene by removing bad polygons.

Parameters:

  pScene | Pointer to the scene object.

Returns:
  Array of nodes containing modified meshes.

FBXSDK_DLL bool IsAnimated | ( | FbxObject * | pObj | ) |

Search for all occurrences

Inspects all the properties of the given object for animation curves.

Parameters:

  pObj | Pointer to the object to query.

Returns:
  `true` if at least one property is animated and `false` otherwise.

Remarks:
  A property is animated if it contains at least one FbxAnimCurve with keys.

Examples:
  ViewScene/SetCamera.cxx.

FBXSDK_DLL bool IsChannelAnimated | ( | FbxObject * | pObj,
|  | const char * | pPropertyName,
|  | const char * | pChannelName = `NULL`
| ) |  |

Search for all occurrences

Inspects the specified property of the given object for animation curves.

Parameters:

  pObj | Pointer to the object to query.
  pPropertyName | Name of the inspected property.
  pChannelName | Name of the specific channel of the inspected property.

Returns:
  `true` if the specified channel is animated and `false` otherwise.

Remarks:
  A property is animated if it contains at least one FbxAnimCurve with keys.

FBXSDK_DLL char* FBXGet_Internet_Source_File | ( | const char * | url | ) |

Search for all occurrences

Get the content of a file from an hyper link.

Parameters:

  url | The hyper link to the file. The URL must start with < http:// > ex: http://www.autodesk.com.

Returns:
  An allocated <char *buffer> containing the source text. You must use FBXFree_Internet_Buffer() to free the allocated memory.

FBXSDK_DLL void FBXFree_Internet_Buffer | ( | char * | pBuf | ) |

Search for all occurrences

Free the memory allocated by FBXGet_Internet_Source_File()

Parameters:

  pBuf | Pointer previously returned by a call to FBXGet_Internet_Source_File().

FBXSDK_DLL FbxString FbxGetApplicationDirectory | ( |  | ) |

Search for all occurrences

Get the application directory.

Returns:
  The application directory.

Examples:
  Common/Common.cxx, and ExportDocument/main.cxx.

FBXSDK_DLL unsigned int FileVersionStrToInt | ( | FbxString | pFileVersion | ) |

Search for all occurrences

Convert the FBX file version string to an integral number for <= or >= tests purposes.

Parameters:

  pFileVersion | File version string. Some examples:
           int version;
               version = FileVersionStrToInt(FBX2012_00_COMPATIBLE);    // version = 201200
               version = FileVersionStrToInt(FBX60_COMPATIBLE);         // version = 6000
               version = FileVersionStrToInt("FBX200900");              // version = 200900
               version = FileVersionStrToInt("Toto");                   // version = 0

Returns:
  the file version number or 0 if an unsupported string value is passed.